<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.RebaseExtension.rebase</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.RebaseExtension.rebase</h1>
<p>
Module implementing the rebase extension interface.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#Rebase">Rebase</a></td>
<td>Class implementing the rebase extension interface.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="Rebase" ID="Rebase"></a>
<h2>Rebase</h2>
<p>
    Class implementing the rebase extension interface.
</p>

<h3>Derived from</h3>
HgExtension
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#Rebase.__init__">Rebase</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#Rebase.hgRebase">hgRebase</a></td>
<td>Public method to rebase changesets to a different branch.</td>
</tr>
<tr>
<td><a href="#Rebase.hgRebaseAbort">hgRebaseAbort</a></td>
<td>Public method to abort rebasing changesets from another branch.</td>
</tr>
<tr>
<td><a href="#Rebase.hgRebaseContinue">hgRebaseContinue</a></td>
<td>Public method to continue rebasing changesets from another branch.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="Rebase.__init__" ID="Rebase.__init__"></a>
<h4>Rebase (Constructor)</h4>
<b>Rebase</b>(<i>vcs</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>vcs</i> (Hg)</dt>
<dd>
reference to the Mercurial vcs object
</dd>
</dl>
<a NAME="Rebase.hgRebase" ID="Rebase.hgRebase"></a>
<h4>Rebase.hgRebase</h4>
<b>hgRebase</b>(<i></i>)
<p>
        Public method to rebase changesets to a different branch.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating that the project should be reread
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="Rebase.hgRebaseAbort" ID="Rebase.hgRebaseAbort"></a>
<h4>Rebase.hgRebaseAbort</h4>
<b>hgRebaseAbort</b>(<i></i>)
<p>
        Public method to abort rebasing changesets from another branch.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating that the project should be reread
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<a NAME="Rebase.hgRebaseContinue" ID="Rebase.hgRebaseContinue"></a>
<h4>Rebase.hgRebaseContinue</h4>
<b>hgRebaseContinue</b>(<i></i>)
<p>
        Public method to continue rebasing changesets from another branch.
</p>

<dl>
<dt>Return:</dt>
<dd>
flag indicating that the project should be reread
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
bool
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
